HP Linux Imaging and Printing

error: Unable to communicate with device (code=12): hp:/usb/hp_LaserJet_1160_series?serial=00CNK2F08325

Asked by Narendra Babu H.C. on 2008-10-07

Hi

I crosscompiled the HPLIP 2.8.9 for a 32 bit target.
After installation when i i try to run the Hp-info or Hp-testpage it returns an error like
error: Unable to communicate with device (code=12): hp:/usb/hp_LaserJet_1160_series?serial=00CNK2F08325

Here is the log of hp-check on the target

hp-check[301]: info: :
Initializing. Please wait...
scheduler is running

/usr/cups/bin/cups-config: libdir: command not found

1.2.1

Linux localhost 2.4.20_mvl31-dbpxa2xx #425 Thu Aug 14 11:31:24 IST 2008 armv5tel unknown

warning: Invalid ppd_dir value: None
hp-check[301]: info: :
hp-check[301]: info: :---------------
hp-check[301]: info: :| SYSTEM INFO |
hp-check[301]: info: :---------------
hp-check[301]: info: :
hp-check[301]: info: :[01mBasic system information:[0m
hp-check[301]: info: :Linux localhost 2.4.20_mvl31-dbpxa2xx #425 Thu Aug 14 11:31:24 IST 2008 armv5tel unknown
hp-check[301]: info: :
hp-check[301]: info: :[01mDistribution:[0m
hp-check[301]: info: :unknown 0.0
hp-check[301]: info: :[01m
HPOJ running?[0m
hp-check[301]: info: :No, HPOJ is not running (OK).
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking Python version...[0m
hp-check[301]: info: :OK, version 2.4.4 installed
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking PyQt version...[0m
error: NOT FOUND OR FAILED TO LOAD!
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking SIP version...[0m
error: SIP not installed or version not found.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for CUPS...[0m
hp-check[301]: info: :Status: scheduler is running
hp-check[301]: info: :Version: /usr/cups/bin/cups-config: libdir: command not found
1.2.1
warning: /etc/cups/cupsd.conf file not found or not accessible.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dbus/python-dbus...[0m
warning: dbus daemon is not running.
warning: python-dbus not installed.
hp-check[301]: info: :
hp-check[301]: info: :
hp-check[301]: info: :------------------------------------
hp-check[301]: info: :| COMPILE AND RUNTIME DEPENDENCIES |
hp-check[301]: info: :------------------------------------
hp-check[301]: info: :
note: To check for compile-time only dependencies, re-run hp-check with the -c parameter (ie, hp-check -c).
note: To check for run-time only dependencies, re-run hp-check with the -r parameter (ie, hp-check -r).
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: cups - Common Unix Printing System...[0m
hp-check[301]: info: :OK, found.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: cups-ddk - CUPS driver development kit...[0m
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: cups-devel- Common Unix Printing System development files...[0m
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: dbus - Message bus system...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: gcc - GNU Project C and C++ Compiler...[0m
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: GhostScript - PostScript and PDF language interpreter and previewer...[0m
hp-check[301]: info: :OK, found.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: libcrypto - OpenSSL cryptographic library...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: libjpeg - JPEG library...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: libnetsnmp-devel - SNMP networking library development files...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: libpthread - POSIX threads library...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: libtool - Library building support services...[0m
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: libusb - USB library...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: make - GNU make utility to maintain groups of programs...[0m
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: PIL - Python Imaging Library (required for commandline scanning with hp-scan)...[0m
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: ppdev - Parallel port support kernel module....[0m
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: PyQt 3- Qt interface for Python (for Qt version 3.x)...[0m
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: PyQt 4- Qt interface for Python (for Qt version 4.x)...[0m
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: python-ctypes - A foreign function library for Python...[0m
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: python-dbus - Python bindings for dbus...[0m
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: python-devel - Python development files...[0m
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: Python 2.3 or greater - Required for fax functionality...[0m
hp-check[301]: info: :OK, found.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: Python 2.2 or greater - Python programming language...[0m
hp-check[301]: info: :OK, found.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: Reportlab - PDF library for Python...[0m
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: SANE - Scanning library...[0m
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: SANE - Scanning library development files...[0m
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: scanimage - Shell scanning program...[0m
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for dependency: xsane - Graphical scanner frontend for SANE...[0m
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.
hp-check[301]: info: :
hp-check[301]: info: :
hp-check[301]: info: :----------------------
hp-check[301]: info: :| HPLIP INSTALLATION |
hp-check[301]: info: :----------------------
hp-check[301]: info: :
hp-check[301]: info: :
hp-check[301]: info: :[01mCurrently installed HPLIP version...[0m
hp-check[301]: info: :HPLIP 2.8.9 currently installed in '/usr/local/share/hplip'.
hp-check[301]: info: :
hp-check[301]: info: :[01mCurrent contents of '/etc/hp/hplip.conf' file:[0m
hp-check[301]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=2.8.9

[dirs]
home=/usr/local/share/hplip
run=/var/run
ppd=/usr/local/share/ppd/HP
ppdbase=/usr/local/share/ppd
doc=/usr/local/share/doc/hplip-2.8.9
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/local/share/cups/drv/hp

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=no
pp-build=no
gui-build=no
scanner-build=no
fax-build=no
dbus-build=no
cups11-build=no
doc-build=yes
shadow-build=no
foomatic-drv-install=yes
foomatic-ppd-install=no
foomatic-rip-hplip-install=yes
internal-tag=2.8.9.0
restricted-build=no
ui-toolkit=qt3

hp-check[301]: info: :
hp-check[301]: info: :--------------------------
hp-check[301]: info: :| DISCOVERED USB DEVICES |
hp-check[301]: info: :--------------------------
hp-check[301]: info: :
hp-check[301]: info: :No devices found.
hp-check[301]: info: :
hp-check[301]: info: :---------------------------------
hp-check[301]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[301]: info: :---------------------------------
hp-check[301]: info: :
hp-check[301]: info: :
hp-check[301]: info: :[01mlaserjet[0m
hp-check[301]: info: :[01m--------[0m
hp-check[301]: info: :Type: Printer
hp-check[301]: info: :Installed in HPLIP?: Yes, using the hp: CUPS backend.
hp-check[301]: info: :Device URI: hp:/usb/hp_LaserJet_1160_series?serial=00CNK2F08325
error: Unable to communicate with device (code=12): hp:/usb/hp_LaserJet_1160_series?serial=00CNK2F08325
error: Device not found
hp-check[301]: info: :
hp-check[301]: info: :
hp-check[301]: info: :---------------------
hp-check[301]: info: :| PYTHON EXTENSIONS |
hp-check[301]: info: :---------------------
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking 'cupsext' CUPS extension...[0m
hp-check[301]: info: :OK, found.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking 'pcardext' Photocard extension...[0m
hp-check[301]: info: :OK, found.
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking 'hpmudext' I/O extension...[0m
hp-check[301]: info: :OK, found.
hp-check[301]: info: :
hp-check[301]: info: :-----------------
hp-check[301]: info: :| USB I/O SETUP |
hp-check[301]: info: :-----------------
hp-check[301]: info: :
hp-check[301]: info: :
hp-check[301]: info: :[01mChecking for permissions of USB attached printers...[0m
hp-check[301]: info: :
hp-check[301]: info: :-----------
hp-check[301]: info: :| SUMMARY |
hp-check[301]: info: :-----------
hp-check[301]: info: :
error: 26 errors and/or warnings.
hp-check[301]: info: :
hp-check[301]: info: :Please refer to the installation instructions at:
hp-check[301]: info: :http://hplip.sourceforge.net/install/index.html

hp-check[301]: info: :
hp-check[301]: info: :Done.

During the compilation there was no error on Libusb.

Please let me know how to resolve this issue.

Thanks and Regards,
Narendra Babu H.C.

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
Narendra Babu H.C.
Solved:
2008-10-20
Last query:
2008-10-20
Last reply:
2008-10-13

What distro are you using?

Thanks!

Aaron

 Hi Aaron,

We are using Montavista Linux with kernel version 2.4.20 on our target.
On my target the printers will get detected as /dev/usb/lp0.
Will it depends on hotplug functionality of kernel?

Thanks and Regards,
Narendra Babu H.C.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Aaron Albright
Sent: Tuesday, October 07, 2008 10:34 PM
To: Babu HC, Narendra (GE Healthcare)
Subject: Re: [Question #47352]: error: Unable to communicate with
device(code=12): hp:/usb/hp_LaserJet_1160_series?serial=00CNK2F08325

Your question #47352 on HPLIP changed:
https://answers.launchpad.net/hplip/+question/47352

    Status: Open => Needs information

Aaron Albright requested for more information:
What distro are you using?

Thanks!

Aaron

--
To answer this request for more information, you can either reply to
this email or enter your reply at the following page:
https://answers.launchpad.net/hplip/+question/47352

You received this question notification because you are a direct
subscriber of the question.

We haven't tested on Montavista linux. Without being able to test the specific distro it's pretty hard for me to be able to give you any additional information. In theory HPLIP should work on any linux distro assuming the requirements are met. You might have better luck using HPIJS only. HPIJS only supports printing and takes up a lot less space than the full HPLIP package. You can get more information on installing HPIJS here:

http://hplipopensource.com/node/123

Hope this helps.

Aaron

Hi,

I resolved this problem.

The problem was with the file /usr/share/usb.ids.
It was missing in my rootfs.
After adding this file the HPLIP is detecting the printer.

Thanks for the FAQ on the HPLIP site which hinted me to look at the USB system.

Narendra